==============
1999/11/07 13:07:59
author: rwscott
configure.in(1.46)
lib/Host.c(1.9)
lib/HostP.h(1.3)


I was holding the timer id for the binary input timeout in a static variable.
This is bad news if you open more than one stream in binary mode. This required
adding an instance variable, so I bumped the version info.
==============
1999/11/07 13:58:16
author: amai
lib/calc.c(1.5)

make local *rand48() implementations static
==============
1999/11/12 22:44:11
author: rwscott
lib/NumEntry.c(1.7)
lib/XltNumEntry.3.in(1.3)


Add Btn4 and Btn5 translations to better support the wheeled mouse.
==============
1999/11/12 23:45:15
author: amai
lib/calc.c(1.6)

cleaned up a bit (mostly cosmetic)
==============
1999/11/15 23:45:37
author: rwscott
configure.in(1.47)
lib/Makefile.am(1.32)
tests/Makefile.am(1.12)


Have you ever had a large list of items in a selection box, know approximately
the text of the item you want but can't remember it exactly enough to be able
to type it into the text area, so you are forced to scroll through the
entire list reading each item till you find the one you want??? Well no more,
now there is the XltSelectionBox widget. It behaves just like an XmSelectionBox
with one important difference, as you type text in the TextField the list is
scrolled to the item with the closest match. Check out the test for details.
Because it behaves just like a standard XmSelectionBox, all of the convience
functions for an XmSelectionBox still work.
==============
1999/11/16 00:21:51
author: rwscott
lib/Makefile.am(1.33)
lib/Xlt.3.in(1.4)

Forgot to install the man page...
==============
1999/11/18 15:58:10
author: amai
lib/calc.c(1.7)

get rid of some symbols.
On OS/2 I always get explicit lists of non-static/exported symbols-
this is a nice check
==============
1999/11/18 19:47:52
author: amai
lib/ListTree.c(1.6)
lib/SciPlotUtil.c(1.3)
lib/calc.c(1.8)

Ok, I'm starting to get rid of unused "global" symbols.
Based on my linker definition file on OS/2 we're roughly
at 1500-1600 for libXm. No idea how many superfluous are
among them ...
I hope Rick's automatic testing facility is still running and
will ring a bell when I miss the target ...
==============
1999/11/18 23:15:23
author: rwscott
lib/calc.c(1.9)

How did you manage to compile this??? I was getting an unterminated
macro error......
==============
1999/11/19 01:20:54
author: rwscott
lib/NumEntry.c(1.8)

destroy was set as _both_ the destroy method _and_ the constraint_destroy
method. Not a good idea!!!!!
==============
1999/11/21 12:13:53
author: rwscott
lib/NumEntry.c(1.9)


After returning from calling the valueChangedCallbacks, if doit was true, I
was using the value returned from the callback structure, but forgot about
the dvalue. This now updates the dvalue also.
==============
1999/11/21 13:06:21
author: rwscott
lib/SelectDebugLevel.c(1.3)


Alexander, can you tell me if this gets rid of the "cast to pointer of
different size" warning on this file????
==============
1999/11/22 11:13:34
author: amai
lib/SelectDebugLevel.c(1.4)

keep du/alpha cc happy: it doesn't like an XtPointer to arbitrary values
but accepts a casted int ...
==============
1999/11/26 21:52:53
author: rwscott
lib/Host.c(1.10)
lib/HostP.h(1.4)

Add a hostType resource so you can also specify a server not
just a client
==============
1999/11/26 21:52:54
author: rwscott
lib/Host.h(1.4)

Add a hostType resource so you can also specify a server not
just a client
==============
1999/11/27 02:10:21
author: rwscott
lib/Host.c(1.11)

Add the REUSEADDR option to the listen socket so you don't have to wait
the timeout period if you kill then restart an app.
==============
1999/12/02 00:19:44
author: rwscott
lib/XltHost.3.in(1.5)

Add a bit about the new hostType resource that controls whether a
client or server is created.
==============
1999/12/04 21:20:14
author: amai
lib/Stroke.c(1.3)

Stroke.c: _StrokeInitialize() went static
Vendor:  _XmFixupVendorShell, too (is OS/2 only)
==============
1999/12/06 13:50:41
author: amai
lib/ListTree.c(1.7)

make AlphabetizeItems() static
==============
1999/12/12 15:42:31
author: rwscott
configure.in(1.48)
lib/DisplayOptions.c(1.2)
lib/Makefile.am(1.34)
lib/Xlt.h(1.5)


Add a couple man pages for some functions that I forgot how to use.
==============
2000/01/03 22:32:55
author: danny
lib/AppShell.c(1.2)
lib/SciPlot.c(1.5)

Xlt/* : add a couple of missing API's such as XltCreateAppShell "needed" for
        integration with Builder Xcessory.
lib/Xbae/examples/builderXcessory/Makefile.am
        install the files I added there a couple of days ago so they wind up
        in binary distributions as well
lib/Xbae/src/* lib/Xbae/include/*
        first cut at calling the right stuff to get the Xbae widgets to
        be threadsafe.
==============
2000/01/05 22:10:42
author: amai
tests/FontChooser/.cvsignore(1.2)

I think I'll finish this job of updating the .cvsignore ...
==============


Executive Summary
Of 212 files, 21 changed, and 191 had no change

File                                 Current Rev. Last Release 
.cvsignore                           1.3          1.3          No Change
AUTHORS                              1.3          1.3          No Change
COPYING                              1.1          1.1          No Change
COPYING.LIB                          1.1          1.1          No Change
CVSMake                              1.3          1.3          No Change
ChangeLog                            1.11         1.11         No Change
INSTALL                              1.2          1.2          No Change
Makefile.am                          1.11         1.11         No Change
NEWS                                 1.1          1.1          No Change
README                               1.3          1.3          No Change
ac_find_xlt.m4                       1.10         1.10         No Change
ac_find_xpm.m4                       1.1          1.1          No Change
acconfig.h                           1.2          1.2          No Change
acinclude.m4                         1.7          1.7          No Change
configure.in                         1.48         1.45         
parselog                             1.5          1.5          No Change
lib/.cvsignore                       1.2          1.2          No Change
lib/AnimatedButton.c                 1.4          1.4          No Change
lib/AnimatedButton.h                 1.2          1.2          No Change
lib/AnimatedButtonP.h                1.1          1.1          No Change
lib/AppShell.c                       1.2          1.1          
lib/AppShell.h                       1.1          1.1          No Change
lib/AppShellP.h                      1.1          1.1          No Change
lib/BubbleButton.c                   1.5          1.5          No Change
lib/BubbleButton.h                   1.3          1.3          No Change
lib/BubbleButtonP.h                  1.4          1.4          No Change
lib/DisplayFallbackResources.c       1.1          1.1          No Change
lib/DisplayOptions.c                 1.2          1.1          
lib/EntrySB.c                        1.3          1.3          No Change
lib/EntrySB.h                        1.1          1.1          No Change
lib/EntrySB.w                        1.1          1.1          No Change
lib/EntrySBP.h                       1.1          1.1          No Change
lib/FilePicker.c                     1.5          1.5          No Change
lib/FilePicker.h                     1.1          1.1          No Change
lib/FilePickerP.h                    1.1          1.1          No Change
lib/FontChooser.c                    1.10         1.10         No Change
lib/FontChooser.h                    1.3          1.3          No Change
lib/FontChooserP.h                   1.5          1.5          No Change
lib/Host.c                           1.11         1.8          
lib/Host.h                           1.4          1.3          
lib/HostP.h                          1.4          1.2          
lib/HostTranscript.c                 1.5          1.5          No Change
lib/ListTree.c                       1.7          1.5          
lib/ListTree.gif                     1.1          1.1          No Change
lib/ListTree.h                       1.3          1.3          No Change
lib/ListTree.html                    1.1          1.1          No Change
lib/ListTreeP.h                      1.1          1.1          No Change
lib/ListTreeProg.html                1.1          1.1          No Change
lib/ListTreeTitle.gif                1.1          1.1          No Change
lib/Makefile.am                      1.34         1.31         
lib/NodeButton.c                     1.4          1.4          No Change
lib/NodeButton.h                     1.1          1.1          No Change
lib/NodeButtonP.h                    1.1          1.1          No Change
lib/NumEntry.c                       1.9          1.6          
lib/NumEntry.h                       1.2          1.2          No Change
lib/NumEntryP.h                      1.2          1.2          No Change
lib/RedirectStdErr.c                 1.4          1.4          No Change
lib/SciPlot.c                        1.5          1.4          
lib/SciPlot.h                        1.2          1.2          No Change
lib/SciPlot.html                     1.1          1.1          No Change
lib/SciPlotP.h                       1.1          1.1          No Change
lib/SciPlotProg.html                 1.1          1.1          No Change
lib/SciPlotUtil.c                    1.3          1.2          
lib/SciPlotUtil.h                    1.2          1.2          No Change
lib/SelectDebugLevel.c               1.4          1.2          
lib/SelectionBox.c                   1.1          1.1          No Change
lib/SelectionBox.h                   1.2          1.2          No Change
lib/SelectionBoxP.h                  1.1          1.1          No Change
lib/SetClientIcon.c                  1.1          1.1          No Change
lib/Sound.c                          1.2          1.2          No Change
lib/Sound.h                          1.2          1.2          No Change
lib/Stroke.c                         1.3          1.2          
lib/Stroke.h                         1.3          1.3          No Change
lib/StrokeInstall.3.in               1.1          1.1          No Change
lib/Strokes.3.in                     1.1          1.1          No Change
lib/ToolBar.c                        1.13         1.13         No Change
lib/TreeFSel.gif                     1.1          1.1          No Change
lib/Working.c                        1.5          1.5          No Change
lib/Xlt.3.in                         1.4          1.3          
lib/Xlt.h                            1.5          1.4          
lib/XltAnimatedButton.3.in           1.2          1.2          No Change
lib/XltAppInitialize.3.in            1.1          1.1          No Change
lib/XltAppShell.3.in                 1.1          1.1          No Change
lib/XltBubbleButton.3.in             1.3          1.3          No Change
lib/XltCheckArgSize.3.in             1.1          1.1          No Change
lib/XltCreateAnimatedButton.3.in     1.1          1.1          No Change
lib/XltCreateBubbleButton.3.in       1.1          1.1          No Change
lib/XltCreateFilePicker.3.in         1.1          1.1          No Change
lib/XltCreateHost.3.in               1.1          1.1          No Change
lib/XltCreateNumEntry.3.in           1.1          1.1          No Change
lib/XltDisplayFallbackResources.3.in 1.1          1.1          No Change
lib/XltDisplayOptions.3.in           1.1          1.1          No Change
lib/XltEntrySB.3.in                  1.2          1.2          No Change
lib/XltFilePicker.3.in               1.1          1.1          No Change
lib/XltFilePickerGetChild.3.in       1.1          1.1          No Change
lib/XltFilePickerGetString.3.in      1.1          1.1          No Change
lib/XltFilePickerSetString.3.in      1.1          1.1          No Change
lib/XltFontChooser.3.in              1.4          1.4          No Change
lib/XltGetValues.3.in                1.1          1.1          No Change
lib/XltHost.3.in                     1.5          1.4          
lib/XltHostCreateTranscript.3.in     1.1          1.1          No Change
lib/XltHostDiscardOutput.3.in        1.1          1.1          No Change
lib/XltHostSelect.3.in               1.1          1.1          No Change
lib/XltHostSendData.3.in             1.1          1.1          No Change
lib/XltHostSendString.3.in           1.1          1.1          No Change
lib/XltNumEntry.3.in                 1.3          1.2          
lib/XltNumEntryGetChild.3.in         1.1          1.1          No Change
lib/XltRedirectStdErr.3.in           1.1          1.1          No Change
lib/XltSelectionBox.3.in             1.1          1.1          No Change
lib/XltSetClientIcon.3.in            1.1          1.1          No Change
lib/XltSetValues.3.in                1.1          1.1          No Change
lib/XltWaitTillMapped.3.in           1.1          1.1          No Change
lib/XltWorking.3.in                  1.1          1.1          No Change
lib/YesNo.c                          1.2          1.2          No Change
lib/calc.c                           1.9          1.4          
lib/calc.h                           1.1          1.1          No Change
lib/new.gif                          1.1          1.1          No Change
tests/.cvsignore                     1.1          1.1          No Change
tests/Makefile.am                    1.12         1.11         
tests/AnimatedButton/.cvsignore      1.1          1.1          No Change
tests/AnimatedButton/Makefile.am     1.8          1.8          No Change
tests/AnimatedButton/eye.xpm         1.1          1.1          No Change
tests/AnimatedButton/eye1.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye10.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye11.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye12.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye13.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye14.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye15.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye16.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye17.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye18.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye19.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye2.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye20.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye21.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye22.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye23.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye24.xpm       1.1          1.1          No Change
tests/AnimatedButton/eye3.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye4.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye5.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye6.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye7.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye8.xpm        1.1          1.1          No Change
tests/AnimatedButton/eye9.xpm        1.1          1.1          No Change
tests/AnimatedButton/test3.c         1.1          1.1          No Change
tests/AnimatedButton/test4.c         1.3          1.3          No Change
tests/AppShell/.cvsignore            1.1          1.1          No Change
tests/AppShell/Makefile.am           1.6          1.6          No Change
tests/AppShell/test1.c               1.1          1.1          No Change
tests/BubbleButton/.cvsignore        1.2          1.2          No Change
tests/BubbleButton/Makefile.am       1.9          1.9          No Change
tests/BubbleButton/dates.xpm         1.1          1.1          No Change
tests/BubbleButton/test1.c           1.2          1.2          No Change
tests/BubbleButton/test2.c           1.2          1.2          No Change
tests/EntrySB/.cvsignore             1.1          1.1          No Change
tests/EntrySB/Makefile.am            1.6          1.6          No Change
tests/EntrySB/test1.c                1.4          1.4          No Change
tests/FilePicker/.cvsignore          1.2          1.2          No Change
tests/FilePicker/Makefile.am         1.6          1.6          No Change
tests/FilePicker/test1.c             1.1          1.1          No Change
tests/FontChooser/.cvsignore         1.2          1.1          
tests/FontChooser/Makefile.am        1.5          1.5          No Change
tests/FontChooser/test1.c            1.1          1.1          No Change
tests/FontChooser/test2.c            1.2          1.2          No Change
tests/Host/.cvsignore                1.1          1.1          No Change
tests/Host/Makefile.am               1.8          1.8          No Change
tests/Host/test1.c                   1.5          1.5          No Change
tests/ListTree/.cvsignore            1.2          1.2          No Change
tests/ListTree/Makefile.am           1.6          1.6          No Change
tests/ListTree/demo.c                1.3          1.3          No Change
tests/NodeButton/.cvsignore          1.1          1.1          No Change
tests/NodeButton/Makefile.am         1.6          1.6          No Change
tests/NodeButton/test5.c             1.3          1.3          No Change
tests/NumEntry/.cvsignore            1.1          1.1          No Change
tests/NumEntry/Makefile.am           1.7          1.7          No Change
tests/NumEntry/test3.c               1.5          1.5          No Change
tests/SciPlot/.cvsignore             1.2          1.2          No Change
tests/SciPlot/Makefile.am            1.7          1.7          No Change
tests/SciPlot/SciPlotDemo.html       1.1          1.1          No Change
tests/SciPlot/data.txt               1.1          1.1          No Change
tests/SciPlot/xyplot.c               1.2          1.2          No Change
tests/SelectionBox/.cvsignore        1.1          1.1          No Change
tests/SelectionBox/Makefile.am       1.1          1.1          No Change
tests/SelectionBox/test1.c           1.1          1.1          No Change
tests/Strokes/.cvsignore             1.1          1.1          No Change
tests/Strokes/Makefile.am            1.7          1.7          No Change
tests/Strokes/test1.c                1.3          1.2          
tests/ToolBar/.cvsignore             1.1          1.1          No Change
tests/ToolBar/Makefile.am            1.6          1.6          No Change
tests/ToolBar/dates.xpm              1.2          1.2          No Change
tests/ToolBar/floppy3.xpm            1.2          1.2          No Change
tests/ToolBar/icon.xpm               1.2          1.2          No Change
tests/ToolBar/icon_s.xpm             1.2          1.2          No Change
tests/ToolBar/lesstif.xpm            1.2          1.2          No Change
tests/ToolBar/new_acc.xpm            1.2          1.2          No Change
tests/ToolBar/new_trans.xpm          1.2          1.2          No Change
tests/ToolBar/open.xpm               1.2          1.2          No Change
tests/ToolBar/plot_acc.xpm           1.2          1.2          No Change
tests/ToolBar/print.xpm              1.2          1.2          No Change
tests/ToolBar/recur_trans.xpm        1.2          1.2          No Change
tests/ToolBar/stopsign.xpm           1.2          1.2          No Change
tests/ToolBar/test1.c                1.3          1.3          No Change
tests/ToolBar/view_acc.xpm           1.2          1.2          No Change
tests/ToolBar/view_trans.xpm         1.2          1.2          No Change
tests/WaitTillMapped/.cvsignore      1.1          1.1          No Change
tests/WaitTillMapped/Makefile.am     1.6          1.6          No Change
tests/WaitTillMapped/test1.c         1.3          1.3          No Change
tests/YesNo/.cvsignore               1.1          1.1          No Change
tests/YesNo/Makefile.am              1.6          1.6          No Change
tests/YesNo/test5.c                  1.3          1.3          No Change
